# Business Hours

## List Business Hours

> Retrieve a list of defined business hours, showcasing their names, and other information.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"BusinessHoursList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/BusinessHours"}}}},"BusinessHours":{"type":"object","additionalProperties":false,"required":["id","name","timezone","weeklySchedule","holidays","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"timezone":{"type":"string","minLength":1},"weeklySchedule":{"$ref":"#/components/schemas/WeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/Holiday"}},"assignedTeamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"currentStatus":{"type":"string","enum":["open","closed"]},"nextOpenTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will be open. Null when business is currently open or permanently closed."},"nextCloseTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will close. Null when business is currently closed or permanently closed."}}},"WeeklySchedule":{"type":"object","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/ScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/ScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/ScheduleEntry"},"thursday":{"$ref":"#/components/schemas/ScheduleEntry"},"friday":{"$ref":"#/components/schemas/ScheduleEntry"},"saturday":{"$ref":"#/components/schemas/ScheduleEntry"},"sunday":{"$ref":"#/components/schemas/ScheduleEntry"}}},"ScheduleEntry":{"type":"object","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/DateEntry"},"to":{"$ref":"#/components/schemas/DateEntry"}}},"DateEntry":{"type":"object","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"Holiday":{"type":"object","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/business-hours":{"get":{"description":"Retrieve a list of defined business hours, showcasing their names, and other information.","operationId":"listBusinessHours","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessHoursList"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List Business Hours","tags":["business_hours"]}}}}
```

## Create Business Hours

> Define and create new business hours, specifying the name, schedule.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateBusinessHours":{"type":"object","additionalProperties":false,"required":["name","timezone","weeklySchedule","holidays"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"timezone":{"type":"string","minLength":1},"weeklySchedule":{"$ref":"#/components/schemas/WeeklySchedule"},"holidays":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/Holiday"}},"assignedTeamIds":{"nullable":true,"type":"array","items":{"type":"string","format":"uuid"}}}},"WeeklySchedule":{"type":"object","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/ScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/ScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/ScheduleEntry"},"thursday":{"$ref":"#/components/schemas/ScheduleEntry"},"friday":{"$ref":"#/components/schemas/ScheduleEntry"},"saturday":{"$ref":"#/components/schemas/ScheduleEntry"},"sunday":{"$ref":"#/components/schemas/ScheduleEntry"}}},"ScheduleEntry":{"type":"object","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/DateEntry"},"to":{"$ref":"#/components/schemas/DateEntry"}}},"DateEntry":{"type":"object","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"Holiday":{"type":"object","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/business-hours":{"post":{"description":"Define and create new business hours, specifying the name, schedule.","operationId":"createBusinessHours","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBusinessHours"}}}},"responses":{"201":{"description":"created"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create Business Hours","tags":["business_hours"]}}}}
```

## Get Business Hours

> Retrieve information about specific business hours, including their name, schedule.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"BusinessHours":{"type":"object","additionalProperties":false,"required":["id","name","timezone","weeklySchedule","holidays","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"timezone":{"type":"string","minLength":1},"weeklySchedule":{"$ref":"#/components/schemas/WeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/Holiday"}},"assignedTeamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"currentStatus":{"type":"string","enum":["open","closed"]},"nextOpenTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will be open. Null when business is currently open or permanently closed."},"nextCloseTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will close. Null when business is currently closed or permanently closed."}}},"WeeklySchedule":{"type":"object","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/ScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/ScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/ScheduleEntry"},"thursday":{"$ref":"#/components/schemas/ScheduleEntry"},"friday":{"$ref":"#/components/schemas/ScheduleEntry"},"saturday":{"$ref":"#/components/schemas/ScheduleEntry"},"sunday":{"$ref":"#/components/schemas/ScheduleEntry"}}},"ScheduleEntry":{"type":"object","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/DateEntry"},"to":{"$ref":"#/components/schemas/DateEntry"}}},"DateEntry":{"type":"object","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"Holiday":{"type":"object","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/business-hours/{businessHourId}":{"get":{"description":"Retrieve information about specific business hours, including their name, schedule.","operationId":"getBusinessHours","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessHours"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Business Hours","tags":["business_hours"]}}}}
```

## Update Business Hours

> Modify the details of specific business hours, such as their name, schedule.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateBusinessHours":{"type":"object","additionalProperties":false,"required":[],"properties":{"name":{"type":"string"},"description":{"type":"string"},"timezone":{"type":"string","minLength":1},"weeklySchedule":{"$ref":"#/components/schemas/WeeklySchedule"},"holidays":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/Holiday"}},"assignedTeamIds":{"nullable":true,"type":"array","items":{"type":"string","format":"uuid"}}}},"WeeklySchedule":{"type":"object","additionalProperties":false,"required":[],"properties":{"monday":{"$ref":"#/components/schemas/ScheduleEntry"},"tuesday":{"$ref":"#/components/schemas/ScheduleEntry"},"wednesday":{"$ref":"#/components/schemas/ScheduleEntry"},"thursday":{"$ref":"#/components/schemas/ScheduleEntry"},"friday":{"$ref":"#/components/schemas/ScheduleEntry"},"saturday":{"$ref":"#/components/schemas/ScheduleEntry"},"sunday":{"$ref":"#/components/schemas/ScheduleEntry"}}},"ScheduleEntry":{"type":"object","additionalProperties":false,"required":["from","to"],"nullable":true,"properties":{"from":{"$ref":"#/components/schemas/DateEntry"},"to":{"$ref":"#/components/schemas/DateEntry"}}},"DateEntry":{"type":"object","additionalProperties":false,"required":["hour"],"properties":{"hour":{"type":"integer","minimum":0,"maximum":23},"minute":{"type":"integer","minimum":0,"maximum":59}}},"Holiday":{"type":"object","additionalProperties":false,"required":["name","day","month"],"properties":{"name":{"type":"string"},"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12}}},"BusinessHours":{"type":"object","additionalProperties":false,"required":["id","name","timezone","weeklySchedule","holidays","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"timezone":{"type":"string","minLength":1},"weeklySchedule":{"$ref":"#/components/schemas/WeeklySchedule"},"holidays":{"type":"array","items":{"$ref":"#/components/schemas/Holiday"}},"assignedTeamIds":{"type":"array","items":{"type":"string","format":"uuid"}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"currentStatus":{"type":"string","enum":["open","closed"]},"nextOpenTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will be open. Null when business is currently open or permanently closed."},"nextCloseTime":{"type":"string","format":"date-time","nullable":true,"description":"The next time the business will close. Null when business is currently closed or permanently closed."}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/business-hours/{businessHourId}":{"patch":{"description":"Modify the details of specific business hours, such as their name, schedule.","operationId":"updateBusinessHours","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessHours"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessHours"}}},"description":"updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update Business Hours","tags":["business_hours"]}}}}
```

## Delete Business Hours

> Remove specific business hours, permanently deleting their defined schedule.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/business-hours/{businessHourId}":{"delete":{"description":"Remove specific business hours, permanently deleting their defined schedule.","operationId":"deleteBusinessHours","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete Business Hours","tags":["business_hours"]}}}}
```

## Check if current time is in business hours

> Determine if the current time falls within the defined business hours, providing information on availability.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage Business Hours","name":"business_hours"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CheckBusinessHours":{"type":"object","additionalProperties":false,"required":["isOpen"],"properties":{"isOpen":{"type":"boolean"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/business-hours/{businessHourId}/check":{"get":{"description":"Determine if the current time falls within the defined business hours, providing information on availability.","operationId":"checkBusinessHours","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckBusinessHours"}}},"description":"ok"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Check if current time is in business hours","tags":["business_hours"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/collaborations-api/api-reference/business-hours.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
